=== debian/control ===
Source: ros-lunar-compressed-depth-image-transport
Section: misc
Priority: extra
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-cv-bridge, ros-lunar-dynamic-reconfigure, ros-lunar-image-transport
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-lunar-compressed-depth-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-cv-bridge, ros-lunar-dynamic-reconfigure, ros-lunar-image-transport
Description: Compressed_depth_image_transport provides a plugin to image_transport for transparently sending depth images (raw, floating-point) using PNG compression.
